Class | Irc::Bot::Auth::Command
In: | lib/rbot/botuser.rb
Parent: | Object

An Irc::Bot::Auth::Command defines a command by its "path":

      base::command::subcommand::subsubcommand::subsubsubcommand

### Methods

new sanitize_command_path to_irc_auth_command

### Attributes

command | [R] |
path | [R] |

### Public Class methods

new(cmd)

Creates a new Command from a given string; you can then access the command as a symbol with the :command method and the whole path as :path

      Command.new("core::auth::save").path => [:"*", :"core", :"core::auth", :"core::auth::save"]

      Command.new("core::auth::save").command => :"core::auth::save"

### Public Instance methods

sanitize_command_path(cmd)

A method that checks if a given cmd is in a form that can be reduced into a canonical command path, and if so, returns it

to_irc_auth_command()

Returs self

[Validate]